package com.jingCaiBack.util;

import java.io.IOException;
import java.io.PrintStream;
import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class LoginFilter
  implements Filter
{
  public void destroy()
  {
  }

  public void doFilter(ServletRequest arg0, ServletResponse arg1, FilterChain arg2)
    throws IOException, ServletException
  {
     HttpServletRequest request = (HttpServletRequest)arg0;
     HttpServletResponse response = (HttpServletResponse)arg1;
     HttpSession session = request.getSession();
     if (session.getAttribute("userName") == null) {
       System.out.println("1111" + session.getAttribute("userName"));
       response.sendRedirect("../LetouBack/login.jsp");
    } else {
       System.out.println("2222222" + session.getAttribute("userName"));
       arg2.doFilter(request, response);
    }
  }

  public void init(FilterConfig arg0)
    throws ServletException
  {
  }
}
